%define         anolis_release 1
Name:           dnf-plugin-releasever-adapter
Version:        1.0.1
Release:        %{anolis_release}%{?dist}
Summary:        A dnf plugin for releasever adaptation

Group:          System Environment/Base
License:        GPLv2+
URL:            https://gitee.com/anolis/dnf-plugin-releasever-adapter
Source0:        https://gitee.com/anolis/dnf-plugin-releasever-adapter/repository/archive/%{name}-%{version}.tar.gz
BuildArch:      noarch
Provides:       yum-plugin-releasever-adapter = %{version}-%{release}
BuildRequires:  python3-dnf
Requires:       python3-dnf

%description
A plugin for the Dandified Yellow dog Updater, Modified. The plugin
can automatically convert the releasever of Anolis OS, which is 8.x
to the latest version of releasever which is 8.

%prep
%autosetup -p1

%install
mkdir -p %{buildroot}/etc/yum/pluginconf.d/
install -m 644 releasever_adapter.conf %{buildroot}/etc/yum/pluginconf.d/
mkdir -p %{buildroot}%{python3_sitelib}/dnf-plugins
install -m 644 releasever_adapter.py %{buildroot}%{python3_sitelib}/dnf-plugins/

%check
python3 -m unittest tests/test_releasever_adapter.py

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%exclude %{python3_sitelib}/dnf-plugins/__pycache__/releasever_adapter*
/etc/yum/pluginconf.d/releasever_adapter.conf
%{python3_sitelib}/dnf-plugins/releasever_adapter.py

%changelog
* Thu Jun 16 2022 yuanhui <yuanhui@linux.alibaba.com> 1.0.1-1
- Fix KerError in koji build

* Mon Jun 13 2022 yuanhui <yuanhui@linux.alibaba.com> 1.0.0-1
- Implementation a dnf plugin for releasever adaptation
